--                              -*- Mode: Ada -*-
-- Filename        : math-float_64.ads
-- Description     : Package for all instantiations of generic 
--                   math packages for float_64
-- Author          : J. Schrer
-- Created On      : Wed May 21 19:16:13 1997
-- Last Modified By: 
-- Last Modified On: Wed May 21 19:17:06 1997
-- Update Count    : 1
-- Status          :

with Ada.Text_Io;
with Portable.Standard;
with math.generics;

package Math.Float_64 is
  
  procedure Put(File : in Ada.Text_Io.File_Type;
                Item : in Portable.Standard.Float_64);
                
  -- This procedure is used as a generic actual parameter in following
  -- instantiation. The put-procedure from an instantiation of 
  -- Ada.Text_Io.Float_Io can not be used because it has additional
  -- parameters for fore, aft and exp.

  function "mod" is new math.generics.fmod(Portable.Standard.Float_64);
  
  -- Behaves similar to the integer mod.

end Math.Float_64;

