--                              -*- Mode: Ada -*-
-- Filename        : math-generics-arrays-types-io.ads
-- Description     : Declaration of array types and output procedures
-- Author          : J. Schrer
-- Created On      : Thu May 22 09:28:13 1997
-- Last Modified By:
-- Last Modified On: Thu May 22 10:45:10 1997
-- Update Count    : 9

with Ada.Text_Io;
with Math.Generics.Arrays.Types;

generic
  type Element is private;
  type Index   is range <>;

  Zero : in Element;

  with procedure Put(File : in Ada.Text_Io.File_Type;
                     Item : in Element) is <>;

  with package Types is new Math.Generics.Arrays.Types
              (Element => Element,
               Index   => Index,
               Zero    => Zero);

package Math.Generics.Arrays.Io is

  procedure Put(File : in Ada.Text_Io.File_Type;
                Item : in Types.Vector;
                Name : in String := "");

  procedure Put(File : in Ada.Text_Io.File_Type;
                Item : in Types.Matrix;
                Name : in String := "");

  procedure Put(File : in Ada.Text_Io.File_Type;
                Item : in Types.Diagonal_Matrix;
                Name : in String := "");

  procedure Put(File : in Ada.Text_Io.File_Type;
                Item : in Types.Symmetric_Matrix;
                Name : in String := "");

end Math.Generics.Arrays.Io;



