--                              -*- Mode: Ada -*-
-- Filename        : math-generics.adb
-- Description     : Root package for all generic math utilities
-- Author          : J. Schrer
-- Created On      : Wed May 21 19:10:02 1997
-- Last Modified By: 
-- Last Modified On: Wed May 21 19:10:52 1997
-- Update Count    : 1
-- Status          :

package body Math.Generics is
  --------------------------------------------------------------------------
  function fmod (Left, Right : Float_Type) return Float_Type is
    R : constant Float_Type := Float_Type'Remainder(Left, Right);      
  begin
    if Right > 0.0 then
      if R < 0.0 then
        return Right + R;
      else
        return R;
      end if;
    elsif R > 0.0 then
      return Right + R;
    else
      return R;
    end if;      
  end fmod;
  --------------------------------------------------------------------------
 end Math.Generics;
