 --                              -*- Mode: Ada -*-
-- Filename        : math-constants-physical.ads
-- Description     : Some usual physical constants
-- Author          : J. Schrer
-- Created On      : 20. May 1999
-- Last Modified By: 
-- Last Modified On:
-- Update Count    : 1
-- Status          :

package Math.Constants.Physical is
    
  Nautical_Mile_To_Meter   : constant := 1852.0;
  Foot_To_Meter            : constant := 0.3048;
  Knot_To_Meter_Per_Second : constant := Nautical_Mile_To_Meter / 3600.0;
  
  Inch_To_Mm               : constant := 25.4;
  Mm_Hg_To_Pa              : constant := 133.3224;
  Inch_Hg_To_Hecto_Pa      : constant := Mm_Hg_To_Pa * Inch_To_Mm / 100.0;

  Earth_Radius             : constant := 6378_169.0;      -- meter
  
end Math.Constants.Physical;

