--                              -*- Mode: Ada -*-
-- Filename        : math-constants.ads
-- Description     : Some Usual mathematical constants
-- Author          : J. Schroeer
-- Created On      : Wed Jul 16 21:43:07 1997
-- Last Modified By: 
-- Last Modified On: Wed Jul 16 21:43:54 1997
-- Update Count    : 1
-- Status          :

with Ada.Numerics;

package Math.Constants is

    Pi         : constant := Ada.Numerics.Pi;--3.141_592_653_589_793_238_462_643_383_279_502_9;
    E          : constant := 2.718_281_828_459_045_235_360_287_471_352_662_5;

    Log2_10    : constant := 3.321_928_094_887_362_347_870_319_429_489_4;
    Log2_E     : constant := 1.442_695_040_888_963_407_359_924_681_001_9;
    Log10_2    : constant := 0.301_029_995_663_981_195_213_738_894_724_49;
    Loge_2     : constant := 0.693_147_180_559_945_309_417_232_121_458_18;
    Loge_10    : constant := 2.302_585_092_994_045_684_02;

    Two_Pi     : constant := 2.0 * Pi;
    Half_Pi    : constant := 0.5 * Pi;

    Deg_To_Rad : constant := Pi / 180.0;
    Rad_To_Deg : constant := 180.0 / Pi;

end Math.Constants;


