--                              -*- Mode: Ada -*-
-- Filename        : math-output.adb
-- Description     : Auxiliar routines for formatted output
-- Author          : J. Schrer
-- Created On      : Wed May 21 19:25:24 1997
-- Last Modified By: 
-- Last Modified On: Wed May 21 19:25:38 1997
-- Update Count    : 1
-- Status          :

package body Math.Output is

  Max_Line_Length : constant Ada.Text_Io.Positive_Count := 78;
  Margin          :          Ada.Text_Io.Positive_Count := 2;
  ---------------------------------------------------------------------------
  procedure Set(First_Col : in Ada.Text_Io.Positive_Count := 2) is
  begin
    Margin := First_Col;
  end Set;
  ---------------------------------------------------------------------------
  procedure Put(File      : in Ada.Text_Io.File_Type;
                The_String: in String) is
    use type Ada.Text_Io.Positive_Count;
  begin
    if Ada.Text_Io.Col(File) + The_String'Length > Max_Line_Length then
      Ada.Text_Io.New_Line(File);
      Ada.Text_Io.Set_Col(File, Margin);
    end if;
    Ada.Text_Io.Put(File, The_String);
  end Put;
  ---------------------------------------------------------------------------
end Math.Output;
