--                              -*- Mode: Ada -*-
-- Filename        : math-output.ads
-- Description     : Auxiliar routines for formatted output
-- Author          : J. Schrer
-- Created On      : Wed May 21 19:25:54 1997
-- Last Modified By:
-- Last Modified On: Wed May 21 19:27:41 1997
-- Update Count    : 2
-- Status          :

with Ada.Text_Io;

package Math.Output is

  procedure Set(First_Col : in Ada.Text_Io.Positive_Count := 2);
  
  -- Set the margin for the first col. If text is written with put,
  -- output starts at first_col + 1.

  procedure Put(File      : in Ada.Text_Io.File_Type;
                The_String: in String);
                
  -- Output procedure with recognizes first_col which is set by
  -- above procedure.

end Math.Output;
