--                              -*- Mode: Ada -*-
-- Filename        : Win32_Addons-Wingdi.ads
-- Description     : Declare types and subprograms not in 
--                   original bindings in win32.wingdi.
-- Author          : J. Schrer
-- Created On      : 26. Jan. 1998
-- Last Modified By:
-- Last Modified On: 
-- Update Count    : 2
-- Status          :

with Win32, Win32.Windef;

package Win32_Addons.Wingdi is
  
  Wgl_Font_Lines    : constant := 0;
  Wgl_Font_Polygons : constant := 1;
    
  type Pointfloat is record
    X : Win32.Float;
    Y : Win32.Float;
  end record;
  
  type Glyphmetricsfloat is record
    Gmfblackboxx     : Win32.Float;
    Gmfblackboxy     : Win32.Float;
    Gmfptglyphorigin : Pointfloat;
    Gmfcellincx      : Win32.Float;
    Gmfcellincy      : Win32.Float;
  end record;  
    
  type Lpglyphmetricsfloat is access all Glyphmetricsfloat;
  
  
  function Wglusefontoutlines
    (Hdc       : Win32.Windef.Hdc;
     First     : Win32.Dword;
     Count     : Win32.Dword;
     Listbase  : Win32.Dword;
     Deviation : Win32.Float;
     Extrusion : Win32.Float;
     Format    : Win32.Int;
     Lpgmf     : Lpglyphmetricsfloat) return Win32.Bool;
      
private

  pragma Convention(C_Pass_By_Copy, Pointfloat);           
  pragma Convention(C_Pass_By_Copy, Glyphmetricsfloat);           
   
  pragma Import(Stdcall, Wglusefontoutlines, External_Name => "wglUseFontOutlinesA");
  --Link_Name => "_wglUseFontOutlinesW@32");
   
end Win32_Addons.Wingdi;   
