--                              -*- Mode: Ada -*-
-- Filename        : Win32_Addons.ads
-- Description     : Parent package of all packages with addons to the original
--                   packages of the Win32Ada binding.
--
--                   Sometimes the binding of a C-header is not up to date, i.e.
--                   types and subprograms are missing. If this is a case, say in
--                   package win32.xyz then there exists a 
--                   package win32_addons.xyz, where the needed types and 
--                   subprograms are declared and bound via interface pragmas.
--
--                   Note: For a type T passed to a C function you have to specify:
--
--                      pragma Convention(C_Pass_By_Copy, T);
--
--                   when T'size <= 8 * 128 bit  and
--
--                      pragma Convention(C, T);
--
--                   when T'size > 8 * 128 bit.
--
--                   This is a convention for Microsoft C/C++ compilers.
--                   You should not use the pragma C_Pass_By_Copy(max_size => 128);
--                   because it's ObjectAda specific.
--
--                   (For creating additional bindings see "A tour of ObjectAda",
--                    section 5.1 Interfacing to other languages").
--
--
-- Author          : J. Schrer
-- Created On      : 26. Jan. 1998
-- Last Modified By:
-- Last Modified On: 
-- Update Count    : 2
-- Status          :

-- pragma C_Pass_By_Copy(Max_Size => 128);

package Win32_Addons is
end Win32_Addons;   
