--                    -*- Mode: Ada -*-
-- Filename        : windows-ini_file.ads
-- Description     : Package for reading Windows Ini-Files. 
-- Author          : H. Altmann, M. Scharfetter
-- Created On      : 07. Jan. 1998
-- Last Modified By:
-- Last Modified On:
-- Update Count    : 1
-- Status          :

package Windows.Ini_File is
  
  Error: exception;
  
  Max_Str_Length: constant := 128;
  
  function Is_Entry(
              File_Name: in  String; 
              Section:   in  String;
              S_Entry:   in  String) return Boolean;
              
  function Get_Entry(
              File_Name: in  String; 
              Section:   in  String;
              S_Entry:   in  String) return String;
  function Get_Entry(
              File_Name: in  String; 
              Section:   in  String;
              S_Entry:   in  String) return Integer;
  function Get_Entry(
              File_Name: in  String; 
              Section:   in  String;
              S_Entry:   in  String) return Float;
              
              
--  procedure Set_Entry(
--              File_Name: in  String; 
--              Section:   in  String;
--              S_Entry:   in  String;
--              Image:     in  String;
--              No_Error:  out Boolean);
--  procedure Set_Entry(
--              File_Name: in  String; 
--              Section:   in  String;
--              S_Entry:   in  String;
--              Value:     in  Integer;
--              No_Error:  out Boolean);
--  procedure Set_Entry(
--              File_Name: in  String; 
--              Section:   in  String;
--              S_Entry:   in  String;
--              Fvalue:    in  Float;
--              No_Error:  out Boolean);
end Windows.Ini_File;

