--                              -*- Mode: Ada -*-
-- Filename        : debug.adb
-- Description     : Package for declaration of a global degub log_file.
-- Author          : J. Schrer
-- Created On      : 05. June 1998
-- Last Modified By: 
-- Last Modified On: 
-- Update Count    : 1
-- Status          :

package body Debug is
  
  Open_Count : Natural := 0;
  ----------------------------------------------------------------------------  
  procedure Open is
  begin
    if not Ada.Text_Io.Is_Open(Log_File) then
      Ada.Text_Io.Open(Log_File, Ada.Text_Io.Append_File, Log_Name);
    end if;
    Open_Count := Open_Count + 1;
  end Open;
  ----------------------------------------------------------------------------  
  procedure Close is
  begin 
    if Open_Count > 0 then
      Open_Count := Open_Count - 1;
    end if;
    if Open_Count = 0 and then Ada.Text_Io.Is_Open(Log_File) then
      Ada.Text_Io.Close(Log_File);
    end if;        
  end Close;
  ----------------------------------------------------------------------------  
begin
  Ada.Text_Io.Create(Log_File, Ada.Text_Io.Out_File, Log_Name);
end Debug;

