--                              -*- Mode: Ada -*-
-- Filename        : utilities-c.adb
-- Description     : Utilities for interfacing with c
-- Author          : J. Schrer
-- Created On      : 21. Jan. 1998
-- Last Modified By:
-- Last Modified On: 
-- Update Count    : 1
-- Status          :

with Interfaces.C.Strings;

package body Utilities.C is

  use type interfaces.c.char_array;
  ----------------------------------------------------------------------------   
  function To_Char_Array        (Item       : in Unsigned_Char_Array;
                                 Append_Nul : in Boolean := True)
           return Interfaces.C.Char_Array is

    Ret : Interfaces.C.Char_Array(Item'range);
  begin
    for I in Ret'range loop
      Ret(I) := Interfaces.C.Char'Val(Item(I));
    end loop;
    if Append_Nul then
      return Ret & Interfaces.C.Nul;
    else
      return Ret;
    end if;
  end To_Char_Array;
  -----------------------------------------------------------------------------         
  function To_Unsigned_Char_Array(Item      : in Interfaces.C.Char_Array;
                                 Append_Nul : in Boolean := True)
           return Unsigned_Char_Array is

    Ret : Unsigned_Char_Array(Item'range);
  begin
    for I in Ret'range loop
      Ret(I) := Interfaces.C.Char'Pos(Item(I));
    end loop;
    if Append_Nul then
      return Ret & Unsigned_Nul;
    else
      return Ret;
    end if;
  end To_Unsigned_Char_Array;
  -----------------------------------------------------------------------------         
  function To_Ada(Item     : in Unsigned_Char_Array;
                  Trim_Nul : in Boolean := True)
           return String is
  begin
    return Interfaces.C.To_Ada(To_Char_Array(Item), Trim_Nul);
  end To_Ada;
  -----------------------------------------------------------------------------         
  function To_Ada(Item     : in Unsigned_Char_Variable.Pointer;
                  Trim_Nul : in Boolean := True)
           return String is
  begin
    return To_Ada(Unsigned_Char_Variable.Value(Ref => Item), Trim_Nul);
  exception
    when Interfaces.C.Strings.Dereference_Error => return "";
  end To_Ada;
  ----------------------------------------------------------------------------                     
end Utilities.C;