--                              -*- Mode: Ada -*-
-- Filename        : utilities-error_interface.ads
-- Description     : Error messages for coco generated parsers
-- Author          : J. Schroeer
-- Created On      : Fri Jul  4 00:15:04 1997
-- Last Modified By: 
-- Last Modified On: Fri Jul  4 00:16:11 1997
-- Update Count    : 1
-- Status          :

with Utilities.String_Vectors;

package Utilities.error_interface is

  procedure initialize;

  function number_of_comments        return natural;
  function number_of_warnings        return natural;
  function number_of_errors          return natural;
  function number_of_syntax_errors   return natural;
  function number_of_semantic_errors return natural;

  procedure print_comment (message    : in string;
                           first_line,
                           indent     : in boolean := true);

  procedure print_warning (message    : in string;
                           first_line,
                           indent     : in boolean := true);

  procedure print_syntax_error
     (expected_symbols : in out Utilities.string_vectors.string_vector_access);

  procedure print_semantic_error (message    : in string;
                                  first_line,
                                  indent     : in boolean := true);

  procedure print_end_of_listing;

  function statistics return string;

  function first_error_line_in_listing   return positive;
  function first_error_line              return positive;
  function first_error_file              return string;

  function first_warning_line_in_listing return positive;
  function first_warning_line            return positive;
  function first_warning_file            return string;

end Utilities.error_interface;





