--                              -*- Mode: Ada -*-
-- Filename        : utilities-generics-integer_utilities.ads
-- Description     : Integer utilities taken from Grady Booch
-- Created On      : Wed Jul  2 13:12:14 1997
-- Last Modified By: 
-- Last Modified On: Wed Jul  2 13:13:26 1997
-- Update Count    : 1
-- Status          : Unknown, Use with caution!

with Ada.Text_Io;

generic
  type Number  is range <>;
  type Index   is range <>;
  type Numbers is array(Index range <>) of Number;
  
  with package Integer_Text_Io is new Ada.Text_Io.Integer_Io (Num => Number);

package Utilities.Generics.Integer_Utilities is

  type Base is range 2 .. 16;

  function Min         (Left          : in Number;
                        Right         : in Number)      return Number;

  function Min         (The_Numbers   : in Numbers)     return Number;

  function Max         (Left          : in Number;
                        Right         : in Number)      return Number;

  function Max         (The_Numbers   : in Numbers)     return Number;

  function Is_Positive (The_Number    : in Number)      return Boolean;

  function Is_Natural  (The_Number    : in Number)      return Boolean;

  function Is_Negative (The_Number    : in Number)      return Boolean;

  function Is_Zero     (The_Number    : in Number)      return Boolean;

  function Is_Odd      (The_Number    : in Number)      return Boolean;

  function Is_Even     (The_Number    : in Number)      return Boolean;

  function Image_Of    (The_Number    : in Number;
                        With_The_Base : in Base := 10)  return String;

  function Value_Of    (The_Image     : in String;
                        With_The_Base : in Base := 10)  return Number;

  Lexical_Error : exception;

end Utilities.Generics.Integer_Utilities;
