--                              -*- Mode: Ada -*-
-- Filename        : utilities-generics-sorting_and_searching.ads
-- Description     : Generic quicksort and generic binary search
-- Author          : J. Schroeer
-- Created On      : Wed Jul  2 13:17:01 1997
-- Last Modified By: 
-- Last Modified On: Wed Jul  2 13:19:39 1997
-- Update Count    : 1
-- Status          :

generic
  type Element is private;
  type Index   is range <>;

  type Vector  is array (Index range <>) of Element;

  with function "<"  (Left, Right : in Element) return Boolean is <>;
  with function "<=" (Left, Right : in Element) return Boolean is <>;

package Utilities.Generics.Sorting_And_Searching is

  procedure Quicksort   (The_Vector  : in out Vector);
  
  -- Quicksort algorithm.

  function Binary_Search(The_Element : in Element;
                         The_Vector  : in Vector) return Index;

  -- The elements in The_Vector have to be sorted.                         
  -- if The_Element < The_Vector(The_Vector'First) then
  --   return The_Vector'First - 1;
  -- elsif The_Vector(The_Vector'Last) < The_Element then
  --   return The_Vector'Last + 1;
  -- elsif The_Element = The_Vector(The_Vector'Last) then
  --   return The_Vector'Last;
  -- else performs a binary search.                         
      
end Utilities.Generics.Sorting_And_Searching;
