--                              -*- Mode: Ada -*-
-- Filename        : utilities-integer_32-hash.ads
-- Description     : Hashing of integers
-- Author          : J. Schroeer
-- Created On      : Thu Jul  3 23:42:31 1997
-- Last Modified By:
-- Last Modified On: Thu Jul  3 23:58:22 1997
-- Update Count    : 3
-- Status          :

with Utilities.Generics.Hash, 
     Utilities.Prime_Numbers, 
     Utilities.String_Utilities,
     Utilities.Integer_32.Deallocate;

package Utilities.Integer_32.Hash is new Utilities.Generics.Hash
       (Element            => Standard.Integer,
        Key                => Utilities.String_Utilities.String_Access,
        Index              => Standard.Integer,
        Is_Equal           => Utilities.String_Utilities.Is_Equal,
        Hash_Function      => Utilities.Prime_Numbers.Standard_Hash_Function,
        Deallocate_Element => Utilities.Integer_32.Deallocate,
        Deallocate_Key     => Utilities.String_Utilities.Deallocate);


