------------------------------------------------------------------------------
-- Checked and Unchecked Computation with SI Units
-- Copyright (C) 2002 Christoph Karl Walter Grein
--
-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 2
-- of the License, or any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
--
-- As a special exception,  if other files  instantiate  generics from this
-- unit, or you link this unit with other files to produce an executable,
-- this unit does not by itself cause the resulting executable to be
-- covered by the GNU General Public License.  This exception does not
-- however invalidate any other reasons why the executable file might be
-- covered by the GNU Public License.
--
-- Author's homepage and email address:
--   http://home.T-Online.de/home/Christ-Usch.Grein/
--   Christ-Usch.Grein@T-Online.de
------------------------------------------------------------------------------

with Ada.Text_IO;
use  Ada.Text_IO;

with Constrained_Checked_SI.Generic_Vector_Space,
     Constrained_Checked_SI.Generic_Units,
     Constrained_Checked_SI.Generic_Text_IO;

procedure Test_Constrained_Checked_SI_Vector_Space is

  --====================================================================
  -- Author    Christoph Grein
  -- Version   1.0
  -- Date      17 November 2002
  --====================================================================
  -- Test the vector algebra.
  --====================================================================
  -- History
  -- Author Version   Date    Reason for change
  --  C.G.    1.0  17.11.2002
  --====================================================================

  package SI is new Constrained_Checked_SI (Float);
  package U  is new SI.Generic_Units;
  package IO is new SI.Generic_Text_IO;
  package VS is new SI.Generic_Vector_Space;
  use SI, U, IO, VS;

  Q: Item := Coulomb;

  E: Vector := 3.0 * Unit_Vector (1).all * Volt_p_Meter;  -- some
  B: Vector := 1.0 * U2 * Tesla;                          --   ways to
  V: Vector := P2 * (2.0 * Meter_p_Second);               --     construct
  F: Vector := Null_Vector * Newton;                      --       vectors

begin

  F := Q * (E + Cross (V, B));

  for A in Axis loop
    Put (Get (F, A));  New_Line;
  end loop;

  New_Line;

  for A in Axis loop
    Put (Inner (F, Unit_Vector (A).all));  New_Line;
  end loop;

end Test_Constrained_Checked_SI_Vector_Space;