------------------------------------------------------------------------------
-- Checked and Unchecked Computation with SI Units
-- Copyright (C) 2002 Christoph Karl Walter Grein
--
-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 2
-- of the License, or any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
--
-- As a special exception,  if other files  instantiate  generics from this
-- unit, or you link this unit with other files to produce an executable,
-- this unit does not by itself cause the resulting executable to be
-- covered by the GNU General Public License.  This exception does not
-- however invalidate any other reasons why the executable file might be
-- covered by the GNU Public License.
--
-- Author's homepage and email address:
--   http://home.T-Online.de/home/Christ-Usch.Grein/
--   Christ-Usch.Grein@T-Online.de
------------------------------------------------------------------------------

with Ada.Text_IO;
use  Ada.Text_IO;

--#c with Constrained_Checked_SI.Generic_Units,
--#c      Constrained_Checked_SI.Generic_Text_IO;
--#u with Constrained_Unchecked_SI.Generic_Units,
--#u      Constrained_Unchecked_SI.Generic_Text_IO;

procedure Test_Text_IO_Constrained_SI is

  --====================================================================
  -- Author    Christoph Grein
  -- Version   1.0
  -- Date      25 July 2002
  --====================================================================
  -- Test the IO package for a set of critical items.
  --
  --    To get the   checked version, uncomment the "--#c" lines.
  --    To get the unchecked version, uncomment the "--#u" lines.
  --
  --====================================================================
  -- History
  -- Author Version   Date    Reason for change
  --  C.G.    1.0  25.07.2002
  --====================================================================

  --#c package SI is new Constrained_Checked_SI (Float);
  --#u package SI is new Constrained_Unchecked_SI (Float);
  package U  is new SI.Generic_Units;
  package IO is new SI.Generic_Text_IO;
  use SI, U, IO;

  Physic, Result: File_Type;

begin

  Open   (Physic, In_File , "Test_SI_Text_IO.in");
  Create (Result, Out_File, "Test_SI_Text_IO.out");

  while not End_of_File (Physic) loop

    begin
      declare
        I: constant Item := Get (Physic);
      begin
        Put (Result, I);  New_Line (Result);
      end;
    exception
      when Data_Error =>
        declare
          Line: String (1 .. 20);
          Last: Natural;
        begin
          Get_Line (Physic, Line, Last);
          Put_Line (Result, "Data_Error - offending character: """ & Line (1 .. Last) & '"');
        end;
    end;

  end loop;

  Close (Physic);
  Close (Result);

end Test_Text_IO_Constrained_SI;
