------------------------------------------------------------------------------
-- Checked and Unchecked Computation with SI Units
-- Copyright (C) 2002 Christoph Karl Walter Grein
--
-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 2
-- of the License, or any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
--
-- As a special exception,  if other files  instantiate  generics from this
-- unit, or you link this unit with other files to produce an executable,
-- this unit does not by itself cause the resulting executable to be
-- covered by the GNU General Public License.  This exception does not
-- however invalidate any other reasons why the executable file might be
-- covered by the GNU Public License.
--
-- Author's homepage and email address:
--   http://home.T-Online.de/home/Christ-Usch.Grein/
--   Christ-Usch.Grein@T-Online.de
------------------------------------------------------------------------------

with Ada.Text_IO;
use  Ada.Text_IO;

with Unconstrained_Checked_SI.Generic_Units, Unconstrained_Checked_SI.Generic_Text_IO;

procedure Test_Unconstrained_Checked_SI_Units is

  --====================================================================
  -- Author    Christoph Grein
  -- Version   1.1
  -- Date      6 August 2002
  --====================================================================
  -- Test the Put operation for all units.
  --====================================================================
  -- History
  -- Author Version   Date    Reason for change
  --  C.G.    1.0  10.07.2002
  --  C.G.    1.1  06.08.2002 Test renamed
  --====================================================================

  package Float_SI       is new Unconstrained_Checked_SI (Float);
  package Float_SI_Units is new Float_SI.Generic_Units;
  package Float_SI_IO    is new Float_SI.Generic_Text_IO (Float_SI_Units);
  use Float_SI, Float_SI_Units, Float_SI_IO;

begin

  Put (Radian   );  New_Line;
  Put (Steradian);  New_Line;
  Put (Meter    );  New_Line;
  Put (Kilogram );  New_Line;
  Put (Gram     );  New_Line;
  Put (Second   );  New_Line;
  Put (Ampere   );  New_Line;
  Put (Kelvin   );  New_Line;
  Put (Candela  );  New_Line;
  Put (Mole     );  New_Line;

  Put (yocto*Gram);  New_Line;
  Put (zepto*Gram);  New_Line;
  Put ( atto*Gram);  New_Line;
  Put (femto*Gram);  New_Line;
  Put ( pico*Gram);  New_Line;
  Put ( nano*Gram);  New_Line;
  Put (micro*Gram);  New_Line;
  Put (milli*Gram);  New_Line;
  Put (centi*Gram);  New_Line;
  Put ( deci*Gram);  New_Line;
  Put (  1.0*Gram);  New_Line;
  Put ( deka*Gram);  New_Line;
  Put (hecto*Gram);  New_Line;
  Put ( kilo*Gram);  New_Line;
  Put ( mega*Gram);  New_Line;
  Put ( giga*Gram);  New_Line;
  Put ( tera*Gram);  New_Line;
  Put ( peta*Gram);  New_Line;
  Put (  exa*Gram);  New_Line;
  Put (zetta*Gram);  New_Line;
  Put (yotta*Gram);  New_Line;

  Put (Meter_2           );  New_Line;
  Put (Meter_3           );  New_Line;
  Put (p_Meter           );  New_Line;
  Put (Dioptry           );  New_Line;
  Put (Meter_p_Second    );  New_Line;
  Put (Meter_2_p_Second_2);  New_Line;
  Put (Meter_p_Second_2  );  New_Line;
  Put (p_Second          );  New_Line;
  Put (Hertz             );  New_Line;
  Put (Becquerel         );  New_Line;
  Put (Newton            );  New_Line;
  Put (Joule             );  New_Line;
  Put (Newton_Meter      );  New_Line;
  Put (Watt_Second       );  New_Line;
  Put (Pascal            );  New_Line;
  Put (Watt              );  New_Line;
  Put (Volt              );  New_Line;
  Put (Volt_Ampere       );  New_Line;
  Put (Coulomb           );  New_Line;
  Put (Ampere_Second     );  New_Line;
  Put (Volt_p_Meter      );  New_Line;
  Put (Ohm               );  New_Line;
  Put (Siemens           );  New_Line;
  Put (Farad             );  New_Line;
  Put (Henry             );  New_Line;
  Put (Weber             );  New_Line;
  Put (Tesla             );  New_Line;
  Put (Gray              );  New_Line;
  Put (Sievert           );  New_Line;
  Put (Lumen             );  New_Line;
  Put (Lux               );  New_Line;

end Test_Unconstrained_Checked_SI_Units;
