------------------------------------------------------------------------------
-- Checked and Unchecked Computation with SI Units
-- Copyright (C) 2002 Christoph Karl Walter Grein
--
-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 2
-- of the License, or any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
--
-- As a special exception,  if other files  instantiate  generics from this
-- unit, or you link this unit with other files to produce an executable,
-- this unit does not by itself cause the resulting executable to be
-- covered by the GNU General Public License.  This exception does not
-- however invalidate any other reasons why the executable file might be
-- covered by the GNU Public License.
--
-- Author's homepage and email address:
--   http://home.T-Online.de/home/Christ-Usch.Grein/
--   Christ-Usch.Grein@T-Online.de
------------------------------------------------------------------------------

with Ada.Text_IO, Ada.Exceptions;
use  Ada.Text_IO, Ada.Exceptions;

with Unconstrained_Unchecked_SI.Generic_Temperatures.Generic_Text_IO;

procedure Test_Unconstrained_Unchecked_SI_Temperatures_Text_IO is

  --====================================================================
  -- Author    Christoph Grein
  -- Version   1.0
  -- Date      9 October 2002
  --====================================================================
  -- A sequence of lines is consumed. Each line should start with a
  -- valid temperture (difference) value. Any additional characters not
  -- interpreted are also consumed and output.
  --====================================================================
  -- History
  -- Author Version   Date    Reason for change
  --  C.G.    1.0  09.10.2002
  --====================================================================

  package SI is new Unconstrained_Unchecked_SI (Float);
  package Tp is new SI.Generic_Temperatures;
  package IO is new Tp.Generic_Text_IO;
  use SI, Tp, IO;

  Line: String (1 .. 80);
  Last: Natural;

begin

  Put_Line ("Temperature input (q to quit)");

  loop
    Put ("Enter a temperature > ");
    begin
      declare
        T: Temperature := Get;
      begin
        Get_Line (Line, Last);
        Put ("Temperature read: ");  Put (T);  New_Line;
        Put_Line ("Additional characters on Line: " & '"' & Line (1 .. Last) & '"');
      end;
    exception
      when E: others =>
        Get_Line (Line, Last);
        exit when Last = 1 and then Line (1) = 'q';
        Put_Line (Exception_Information (E));
        Put_Line ("Offending characters: " & '"' & Line (1 .. Last) & '"');
      end;
  end loop;

end Test_Unconstrained_Unchecked_SI_Temperatures_Text_IO;
