------------------------------------------------------------------------------
-- Checked and Unchecked Computation with SI Units
-- Copyright (C) 2002 Christoph Karl Walter Grein
--
-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 2
-- of the License, or any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
--
-- As a special exception,  if other files  instantiate  generics from this
-- unit, or you link this unit with other files to produce an executable,
-- this unit does not by itself cause the resulting executable to be
-- covered by the GNU General Public License.  This exception does not
-- however invalidate any other reasons why the executable file might be
-- covered by the GNU Public License.
--
-- Author's homepage and email address:
--   http://home.T-Online.de/home/Christ-Usch.Grein/
--   Christ-Usch.Grein@T-Online.de
------------------------------------------------------------------------------

with Unconstrained_Unchecked_SI.Generic_Text_IO,
     Unconstrained_Unchecked_SI.Generic_Units;

package body Constrained_Unchecked_SI.Generic_Text_IO is

  --====================================================================
  -- Author    Christoph Grein
  -- Version   1.1
  -- Date      2 September 2002
  --====================================================================
  --
  --====================================================================
  -- History
  -- Author Version   Date    Reason for change
  --  C.G.    1.0  25.07.2002 Done
  --  C.G.    1.1  02.09.2002 Dim format modifier for Put added
  --====================================================================

  package SI_Units   is new SI.Generic_Units;
  package SI_Text_IO is new SI.Generic_Text_IO (SI_Units);

  use SI_Text_IO;

  function Get return Item is
  begin
    return Get (Current_Input);
  end Get;

  function Get (File: in File_Type) return Item is
    X: SI.Item;
  begin
    Get (File, X);
    return (Inner => X);
  end Get;

  procedure Put (X   : in Item;
                 Fore: in Field := Default_Fore;
                 Aft : in Field := Default_Aft;
                 Exp : in Field := Default_Exp;
                 Dim : in String := "") is
  begin
    Put (Current_Output, X, Fore, Aft, Exp, Dim);
  end Put;

  procedure Put (File: in File_Type;
                 X   : in Item;
                 Fore: in Field := Default_Fore;
                 Aft : in Field := Default_Aft;
                 Exp : in Field := Default_Exp;
                 Dim : in String := "") is
  begin
    Put (File, X.Inner, Fore, Aft, Exp, Dim);
  end Put;

end Constrained_Unchecked_SI.Generic_Text_IO;
