------------------------------------------------------------------------------
-- Checked and Unchecked Computation with SI Units
-- Copyright (C) 2002, 2003 Christoph Karl Walter Grein
--
-- This program is free software; you can redistribute it and/or
-- modify it under the terms of the GNU General Public License
-- as published by the Free Software Foundation; either version 2
-- of the License, or any later version.
--
-- This program is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
--
-- You should have received a copy of the GNU General Public License
-- along with this program; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
--
-- As a special exception, if other files instantiate generics from this
-- unit, or you link this unit with other files to produce an executable,
-- this unit does not by itself cause the resulting executable to be
-- covered by the GNU General Public License. This exception does not
-- however invalidate any other reasons why the executable file might be
-- covered by the GNU Public License.
--
-- Author's homepage and email address:
--   http://home.T-Online.de/home/Christ-Usch.Grein/
--   Christ-Usch.Grein@T-Online.de
------------------------------------------------------------------------------

generic
package Unconstrained_Checked_SI.Generic_Non_SI_Units is

  --====================================================================
  -- Author    Christoph Grein
  -- Version   0.1
  -- Date      4 February 2003
  --====================================================================
  -- These units are no SI units, therefore preceding them with prefixes
  -- is illegal for most of them (for some, it is allowed for historical
  -- reasons only).
  -- Year may not be preceded by prefixes.
  -- Electron-Volts may be preceded by prefixes like keV.
  --====================================================================
  -- History
  -- Author Version   Date    Reason for change
  --  C.G.    0.0  08.09.2002 Only sketched
  --  C.G.    0.1  04.02.2003 Minute, Hour, Liter put into Generic_Units
  --====================================================================

  -- Time units

  -- Year: constant Item := ...;  -- a

  -- Energy units

  -- Electron_Volt: constant Item := Elementary_Charge*Volt;  -- eV

end Unconstrained_Checked_SI.Generic_Non_SI_Units;
