--                              -*- Mode: Ada -*-
-- Filename        : math-float_32-arrays-matrix_vector_operations.ads
-- Description     : Instantiation of mixed matrix/vector operations for float_32
-- Author          : J. Schrer
-- Created On      : Wed May 21 19:20:28 1997
-- Last Modified By:
-- Last Modified On: Tue May 27 10:54:07 1997
-- Update Count    : 10
-- Status          :

with Portable.Standard;
with Math.Float_32.Arrays.Types;
with Math.Generics.Arrays.Matrix_Vector_Operations;

package Math.Float_32.Arrays.Matrix_Vector_Operations is new
        Math.Generics.Arrays.Matrix_Vector_Operations
         (Element    => Portable.Standard.Float_32,
          Index      => Standard.Integer,
          Vector     => Math.Float_32.Arrays.Types.Vector,
          Row_Vector => Math.Float_32.Arrays.Types.Row_Vector,
          Matrix     => Math.Float_32.Arrays.Types.Matrix,
          Zero       => 0.0,
          One        => 1.0,
          "+"        => Portable.Standard."+",
          "*"        => Portable.Standard."*");
