--                    -*- Mode: Ada -*-
-- Filename        : opengl-colors-palette.ads
-- Description     : Package for the definition of a color index array. 
-- Author          : H. Altmann, J. Schrer
-- Created On      : 23. Feb. 1998
-- Last Modified By:
-- Last Modified On:
-- Update Count    : 1
-- Status          :

package Opengl.Colors.Palette is
  
  type Color_Type is 
     (White,
      Black,
      Red,
      Green,
      Blue,
      Yellow,
      Magenta,
      Cyan,
      Orange,
      Brown,
      Amber,
      Light_Blue,
      Medium_Blue,
      Dark_Blue,
      Blue_25,
      Dark_Red,
      Yellow_25,
      Dark_Grey,
      Medium_Grey,
      Light_Grey,
      Grey1,
      Grey2,
      Grey3,
      Grey4,
      Grey5,
      Grey6,
      Grey7,
      Grey8,
      Grey9);
      
  Color_Array : constant array(Color_Type) of Types.Color_Type :=
     (White       => Colors.White,
      Black       => Colors.Black,
      Red         => Colors.Red,
      Green       => Colors.Green,
      Blue        => Colors.Blue,
      Yellow      => Colors.Yellow,
      Magenta     => Colors.Magenta,
      Cyan        => Colors.Cyan,
      Orange      => Colors.Orange,
      Brown       => Colors.Brown,
      Amber       => Colors.Amber,
      Light_Blue  => Colors.Light_Blue,
      Medium_Blue => Colors.Medium_Blue,
      Dark_Blue   => Colors.Dark_Blue,
      Blue_25     => Colors.Blue_25,
      Dark_Red    => Colors.Dark_Red,
      Yellow_25   => Colors.Yellow_25,
      Dark_Grey   => Colors.Dark_Grey,
      Medium_Grey => Colors.Medium_Grey,
      Light_Grey  => Colors.Light_Grey,
      Grey1       => Colors.Grey1,  
      Grey2       => Colors.Grey2,  
      Grey3       => Colors.Grey3,  
      Grey4       => Colors.Grey4,  
      Grey5       => Colors.Grey5,  
      Grey6       => Colors.Grey6,  
      Grey7       => Colors.Grey7,  
      Grey8       => Colors.Grey8,  
      Grey9       => Colors.Grey9);
        
end Opengl.Colors.Palette;


