--                    -*- Mode: Ada -*-
-- Filename        : opengl-colors.ads
-- Description     : Package for the definition of color constants. 
-- Author          : H. Altmann, J. Schrer
-- Created On      : 23. Feb. 1998
-- Last Modified By:
-- Last Modified On:
-- Update Count    : 1
-- Status          :

with Opengl.Types;

package Opengl.Colors is

  White        : constant Types.Color_Type :=
    (Red => 1.0, Green => 1.0, Blue => 1.0, Alpha => 1.0);

  Black        : constant Types.Color_Type :=
    (Red => 0.0, Green => 0.0, Blue => 0.0, Alpha => 1.0);

  Red          : constant Types.Color_Type :=
    (Red => 1.0, Green => 0.0, Blue => 0.0, Alpha => 1.0);

  Green        : constant Types.Color_Type :=
    (Red => 0.0, Green => 1.0, Blue => 0.0, Alpha => 1.0);

  Blue         : constant Types.Color_Type :=
    (Red => 0.0, Green => 0.0, Blue => 1.0, Alpha => 1.0);

  Yellow       : constant Types.Color_Type :=
    (Red => 1.0, Green => 1.0, Blue => 0.0, Alpha => 1.0);

  Magenta      : constant Types.Color_Type :=
    (Red => 1.0, Green => 0.0, Blue => 1.0, Alpha => 1.0);
    
  Cyan         : constant Types.Color_Type :=
    (Red => 0.0, Green => 1.0, Blue => 1.0, Alpha => 1.0);
    
  Orange       : constant Types.Color_Type :=
    (Red => 1.0, Green => 0.4, Blue => 0.0, Alpha => 1.0);

  Brown        : constant Types.Color_Type :=
    (Red => 0.5, Green => 0.25, Blue => 0.25, Alpha => 1.0);    
    
  Amber        : constant Types.Color_Type :=
    (Red => 0.75, Green => 0.625, Blue => 0.125, Alpha => 1.0);    
    
  -- Variations  

  Light_Blue   : constant Types.Color_Type :=
    (Red => 0.0, Green => 0.75, Blue => 1.0, Alpha => 1.0);

  Medium_Blue  : constant Types.Color_Type :=
    (Red => 0.0, Green => 0.5, Blue => 1.0, Alpha => 1.0);

  Dark_Blue    : constant Types.Color_Type :=
    (Red => 0.0, Green => 0.0, Blue => 0.75, Alpha => 1.0);

  Blue_25      : constant Types.Color_Type :=
    (Red => 0.0, Green => 0.0, Blue => 0.25, Alpha => 1.0);

  Dark_Red     : constant Types.Color_Type :=
    (Red => 0.25, Green => 0.0, Blue => 0.0, Alpha => 1.0);

  Yellow_25       : constant Types.Color_Type :=
    (Red => 0.25, Green => 0.25, Blue => 0.0, Alpha => 1.0);

  -- Grey levels  
    
  Dark_Grey    : constant Types.Color_Type :=
    (Red => 0.25, Green => 0.25, Blue => 0.25, Alpha => 1.0);

  Medium_Grey  : constant Types.Color_Type :=
    (Red => 0.5, Green => 0.5, Blue => 0.5, Alpha => 1.0);

  Light_Grey   : constant Types.Color_Type :=
    (Red => 0.75, Green => 0.75, Blue => 0.75, Alpha => 1.0);

  Grey1        : constant Types.Color_Type :=
    (Red => 0.1, Green => 0.1, Blue => 0.1, Alpha => 1.0);

  Grey2        : constant Types.Color_Type :=
    (Red => 0.2, Green => 0.2, Blue => 0.2, Alpha => 1.0);

  Grey3        : constant Types.Color_Type :=
    (Red => 0.3, Green => 0.3, Blue => 0.3, Alpha => 1.0);

  Grey4        : constant Types.Color_Type :=
    (Red => 0.4, Green => 0.4, Blue => 0.4, Alpha => 1.0);

  Grey5        : constant Types.Color_Type :=
    (Red => 0.5, Green => 0.5, Blue => 0.5, Alpha => 1.0);

  Grey6        : constant Types.Color_Type :=
    (Red => 0.6, Green => 0.6, Blue => 0.6, Alpha => 1.0);

  Grey7        : constant Types.Color_Type :=
    (Red => 0.7, Green => 0.7, Blue => 0.7, Alpha => 1.0);

  Grey8        : constant Types.Color_Type :=
    (Red => 0.8, Green => 0.8, Blue => 0.8, Alpha => 1.0);

  Grey9        : constant Types.Color_Type :=
    (Red => 0.9, Green => 0.9, Blue => 0.9, Alpha => 1.0);

end Opengl.Colors;
