--                              -*- Mode: Ada -*-
-- Filename        : opengl-float_32-arrays-matrix_vector_operations.ads
-- Description     : Instantiation of mixed matrix/vector operations for glfloat
-- Author          : J. Schrer
-- Created On      : 27. Jan. 1998
-- Last Modified By:
-- Last Modified On: 
-- Update Count    : 1
-- Status          :

with Opengl.Gl;
with Opengl.Float_32.Arrays.Types;
with Math.Generics.Arrays.Matrix_Vector_Operations;

package Opengl.Float_32.Arrays.Matrix_Vector_Operations is new
        Math.Generics.Arrays.Matrix_Vector_Operations
         (Element    => Opengl.Gl.Glfloat,
          Index      => Standard.Integer,
          Vector     => Opengl.Float_32.Arrays.Types.Vector,
          Row_Vector => Opengl.Float_32.Arrays.Types.Row_Vector,
          Matrix     => Opengl.Float_32.Arrays.Types.Matrix,
          Zero       => 0.0,
          One        => 1.0,
          "+"        => Opengl.Gl."+",
          "*"        => Opengl.Gl."*");
