--                              -*- Mode: Ada -*-
-- Filename        : opengl-float_32.ads
-- Description     : Parent package for all instantiations of generic 
--                   packages for glfloat
-- Author          : J. Schrer
-- Created On      : 27. Jan. 1998
-- Last Modified By: 
-- Last Modified On:
-- Update Count    : 1
-- Status          :

with Ada.Text_Io;
with Opengl.Gl;
with math.generics;

package Opengl.Float_32 is
  
  procedure Put(File : in Ada.Text_Io.File_Type;
                Item : in Opengl.Gl.Glfloat);
                
  -- This procedure is used as a generic actual parameter in following
  -- instantiation. The put-procedure from an instantiation of 
  -- Ada.Text_Io.Float_Io can not be used because it has additional
  -- parameters for fore, aft and exp.

  function "mod" is new math.generics.fmod(Gl.Glfloat);

  -- Behaves similar to the integer mod.
  
end Opengl.Float_32;

