--                    -*- Mode: Ada -*-
-- Filename        : opengl-screen.ads
-- Description     : Package that holds objects for the screen-size.
-- Author          : J. Schrer
-- Created On      : 10. Feb. 1998
-- Last Modified By: J. Schrer
-- Last Modified On:
-- Update Count    : 1
-- Status          :

with Opengl.Win_Stuff;

package Opengl.Screen is

  ----------------------------------------------------------------------------
  -- Types, constants for window area:
    
  Width        : Win_Stuff.Screen_Size_In_Mm := Win_Stuff.Screen_Width_In_Mm;
  Height       : Win_Stuff.Screen_Size_In_Mm := Win_Stuff.Screen_Height_In_Mm;
  
  Pixel_Width  : constant Natural := Win_Stuff.Screen_Pixel_Width; 
  Pixel_Height : constant Natural := Win_Stuff.Screen_Pixel_Height; 
  
  subtype  Width_Pixel_Number is Natural range 0 .. Pixel_Width;
  subtype Height_Pixel_Number is Natural range 0 .. Pixel_Height;
    
  -- Constants and subtypes for max width and height of screen in pixels.
  
    
  type Window_Area_Type is record
    X_Upper_Left : Width_Pixel_Number  := 0;
    Y_Upper_Left : Height_Pixel_Number := 0;
    Width        : Width_Pixel_Number  := Pixel_Width;
    Height       : Height_Pixel_Number := Pixel_Height;
  end record;

  --    X_Lower_Left : Width_Pixel_Number  := X_Upper_Left + Pixel_Width;
  --    Y_Lower_Left : Height_Pixel_Number := Y_Upper_Left + Pixel_Height;
  
  procedure set_current_window_area(To : in Window_Area_Type);

  -- Called after creation and resize of window.
  
  
  function  current_window_area return Window_Area_Type;
  
  -- Returns the last set area.

end Opengl.Screen;

