--                    -*- Mode: Ada -*-
-- Filename        : opengl-test_screen_prototyping.ads
-- Description     : Package that creates models for an opengl test-screen 
--                   (clock, timer, or new models that shall be tested).
--                   Version for small main program opengl.win_main_prototyping.
-- Author          : J. Schrer
-- Created On      : 05. Jan. 2000
-- Last Modified By: J. Schrer
-- Last Modified On:
-- Update Count    : 1
-- Status          :

with Opengl.Models;

package Opengl.Test_Screen_Prototyping is
  
  function Models_Of(Window_Index : in Positive := 1) 
           return Models.Model_Group_Access;
  
  -- Returns a model_group, that can be used as the permanent_group
  -- in a models.window_models type.
  -- If Opengl.Command_Line.Timer = true, then models(last) is a timer.model.
  -- If no model is defined, the returned Model_Group_Access is null.
  
end Opengl.Test_Screen_Prototyping;


