--                    -*- Mode: Ada -*-
-- Filename        : opengl-messages.ads
-- Description     : Package for messages generated by opengl-programs. 
-- Author          : J. Schrer
-- Created On      : 12. Feb. 1998
-- Last Modified By:
-- Last Modified On: ... Feb. 1998
-- Update Count    : 
-- Status          :

with Ada.Exceptions;
with Opengl.Gl;

package Opengl.Messages is

  procedure Log(The_Exception : in Ada.Exceptions.Exception_Occurrence);
  
  -- Writes 4 lines to the timer lines and to opengl.log_file:
  -- time&date + exception_name,
  -- exception_information,
  -- OpenGL error message,
  -- Windows error message.  
  
  function Error_Message(Subprogram,
                         Message      : in String) return String;

  -- Forms an error message string for ada.exceptions.raise_exception.
  -- Subprogram shall be <package_name.subprogram_name>.

  function Glgetstring (Name : Gl.Glenum) return String;

  -- Calls gl.GlGetString.

  function Glugetstring(Name : Gl.Glenum) return String;

  -- Calls gl.GluGetString.

  function Error_String(Error_Code : in Gl.Glenum := Gl.Glgeterror)
           return String;

  -- Calls glu.GluErrorString                                        

end Opengl.Messages;
