--                              -*- Mode: Ada -*-
-- Filename        : opengl-win_prototyping_main.adb
-- Description     : General main program to render opengl-windows 
--                   for MS-Windows using the Win32Ada-binding.
-- Author          : J. Schrer
-- Created On      : 31 Okt. 1999
-- Last Modified By: J. Schrer
-- Last Modified On:
-- Update Count    : 1
-- Status          :

with Opengl.Win;
with Opengl.Logging;
with Windows.Messages;
with Win32.Winbase;

procedure Opengl.Win_Prototyping_Main is
begin
  Win.Set_Priority;
  Win.Execute;
  Win32.Winbase.Exitprocess(0);
exception
  when Error : others =>
    Windows.Messages.Display_Information
           (The_Window          => Win.Standard_Window.Windows(1).Handle,
            The_Exception       => Error,
            Close_Window        => False,
            Log_File            => Log_File'access,
            Add_Windows_Message => False);
    Opengl.Logging.Finalize_Log_File;
end Opengl.Win_Prototyping_Main;
